@import "../../../../assets/styles/main.scss";

.contactUsTypeSection {
  display: flex;
  flex-flow: column;
  gap: 17px;
  padding: 17px;
  .contactUsTypefirstMain {
    border-radius: 10px;
    background: #f1f1f1;
    display: flex;
    padding: 10px;
    gap: 10px;
    margin: 33px 33px 0px 33px;
    @include xl{
      margin: 22px 22px 0px 22px;
    }
    @include lg{
      margin: 10px 10px 0px 10px;
    }
    .contactUsBackDiv {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 6px;
      border-radius: 5px;
      border: 1px solid getColorHex("black");
      background: getColorHex("white");
      min-width: 79px;
      padding: 2px 16px;
      .BackButton {
        width: 12px;

        img {
          width: 100%;
          height: 100%;
          object-fit: contain;
        }
      }
      h2 {
        font-size: 12px;
        line-height: normal;
        @include inter600;
      }
    }
    .caseDetailToggleMain {
      min-width: 246px;
      .toggleSection {
        display: flex;
        width: 100%;
        border-radius: 56px;
        background-color: getColorHex("toggle_bg");
        gap: 5px;
        max-width: 533px;
        height: 29px;
        padding: 4px;
        position: relative;
        z-index: 1;
        // @include lg {
        //   max-width: 394px;
        //   height: 50px;
        //   padding: 7px;
        // }

        @include sm {
          max-width: unset;
          height: 55px;
          padding: 5px;
        }
        @include tiny {
          border-radius: 35px;
          height: 50px;
        }

        span {
          @include inter700;
          font-size: 12px;
          line-height: normal;
          text-align: center;
          color: getColorHex("black");

  
        }

        .option {
          flex: 1;
          display: flex;
          align-items: center;
          justify-content: center;
          @include inter700;
          font-size: 25px;
          text-align: center;
          cursor: pointer;
          transition: all 0.3s ease;
          border-radius: 35px;
          color: getColorHex("black");
        
        }

        .selected {
          background-color: getColorHex("orange");
          color: getColorHex("white");
          cursor: auto;
        }

        .option:not(.selected) {
          opacity: 1;
          &:hover {
            opacity: 0.7;
          }
        }

        .option:hover {
          opacity: 1;
        }
      }
    }
  }
  .contactUsDropdownMain {
    border-radius: 10px;
    border: 1px solid getColorHex("white");
    background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
    padding: 20px;
    display: flex;
    flex-flow: column;
    gap: 10px;
    margin: 0px 33px;
    @include xl{
      margin: 0px 22px;
    }
    @include lg{
      margin: 0px 10px;
    }
    label {
      font-size: 12px;
      line-height: normal;
      letter-spacing: 0.2px;
      text-transform: capitalize;
      @include inter400;
    }
    .inquiryTypeDropdown {
      .dropdown {
        width: 100%;
        button {
          &:focus-visible {
            box-shadow: unset !important;
          }
        }
        .dropdownToggle {
          width: 100%;
          display: flex;
          justify-content: space-between;
          align-items: center;
          background: getColorHex("white");
          padding: 11px 16px 11px 22px;
          border: unset;
          gap: 6px;
          &:active {
            color: getColorHex("black") !important;
          }
          &:after {
            background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/dropdown_icon.svg);
            background-position: center;
            background-size: contain;
            background-repeat: no-repeat;
            min-width: 15px;
            height: 15px;
            border-top: unset;
            border-left: unset;
            border-right: unset;
            cursor: pointer;
          }
          h5 {
            color: #a9a9a9;
            font-size: 12px;
            line-height: normal;
            @include inter400;
          }
        }
        .dropdownMenu {
          width: 100%;
          border-radius: 8px;
          background: getColorHex("white");
          box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.17);
          padding: 15px;
          padding-bottom: 5px;
          margin-top: 10px;
          flex-flow: column;
          gap: 10px;
          border: unset;
          .dropdownItem {
            display: flex;
            padding: 0px;
            gap: 5px;
            border-radius: 10px;
            border: 1px solid #ededed;
            background: getColorHex("white");
            padding: 9px 10px;
            white-space: break-spaces;
            align-items: center;
            margin-bottom: 10px;
            &:active {
              border: 1px solid getColorHex("orange");
              background: #fff9f4;
            }
            .dropdownPlaneImage {
              min-width: 25px;
              height: 25px;
              img {
                width: 100%;
                height: 100%;
                object-fit: contain;
              }
            }
          }
        }
      }

      .planContact {
        h3 {
          font-size: 12px;
          line-height: normal;
          @include inter600;
          color: #000;
        }
        p {
          line-height: normal;
          font-size: 10px;
          @include inter600;
        }
      }
    }
    .selectPlanTypeDropdown {
      .dropdown {
        width: 100%;
        button {
          &:focus-visible {
            box-shadow: unset !important;
          }
        }
        .dropdownToggle {
          width: 100%;
          display: flex;
          justify-content: space-between;
          align-items: center;
          background: getColorHex("white");
          padding: 11px 16px 11px 22px;
          border: unset;
          gap: 6px;
          &:active {
            color: getColorHex("black") !important;
          }
          &:after {
            background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/dropdown_icon.svg);
            background-position: center;
            background-size: contain;
            background-repeat: no-repeat;
            min-width: 15px;
            height: 15px;
            border-top: unset;
            border-left: unset;
            border-right: unset;
            cursor: pointer;
          }
          h5 {
            color: #a9a9a9;
            font-size: 12px;
            line-height: normal;
            @include inter400;
          }
        }
        .dropdownMenu {
          width: 100%;
          border-radius: 8px;
          background: getColorHex("white");
          box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.17);
          padding: 15px;
          padding-bottom: 5px;
          margin-top: 10px;
          border: unset;
          .dropdownItem {
            padding: 0px;
            gap: 5px;
            border-radius: 10px;
            border: 1px solid #ededed;
            background: getColorHex("white");
            padding: 9px 10px;
            white-space: break-spaces;
            align-items: center;
            margin-bottom: 10px;
            &:active {
              border: 1px solid getColorHex("orange");
              background: #fff9f4;
            }
            .dropdownPlaneImage {
              min-width: 25px;
              height: 25px;
              img {
                width: 100%;
                height: 100%;
                object-fit: contain;
              }
            }
          }
          .dropdownItemSerach {
            padding: 0px !important;
            margin-bottom: 20px;
            input {
              border: unset;
              border-radius: 5px;
              border: 1px solid getColorHex("orange") !important;
              background: getColorHex("white");
              color: #737373;
              font-size: 12px;
              line-height: normal;
              @include inter400;
              width: 100%;
              padding: 9px 10px;
            }
          }
        }
      }

      .planContactDetailMain {
        display: flex;
        gap: 7px;
        align-items: center;
        width: 100%;
        h3 {
          font-size: 12px;
          line-height: normal;
          @include inter600;
          color: #000;
        }
        p {
          line-height: normal;
          font-size: 10px;
          @include inter600;
        }
        .planContact {
          width: 50%;
          display: flex;
          align-items: center;
        }

        .planDisplayData {
          width: 50%;
          display: flex;
          align-items: center;
          .planData {
            width: 50%;
            display: flex;
            flex-flow: column;
            gap: 5px;
          }
        }
      }
      .borderDiv {
        background: #f1f1f1;
        width: 100%;
        height: 1px;
        margin: 10px 0px;
      }
      .planContactDetaiEsimlMain {
        display: flex;
        gap: 7px;
        align-items: center;
        width: 100%;
        h3 {
          font-size: 12px;
          line-height: normal;
          @include inter600;
          color: #000;
        }
        p {
          line-height: normal;
          font-size: 10px;
          @include inter600;
        }
        .planContacteSimName {
          width: 50%;
          display: flex;
          flex-flow: column;
          gap: 5px;
        }
        .IccidData {
          width: 50%;
          display: flex;
          flex-flow: column;
          gap: 5px;
        }
      }
    }
  }
  .contactUSMessage {
    border-radius: 10px;
    border: 1px solid getColorHex("white");
    background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
    padding: 20px;
    display: flex;
    flex-flow: column;
    gap: 10px;
    margin: 0px 33px;
    @include xl{
      margin: 0px 22px;
    }
    @include lg{
      margin: 0px 10px;
    }
    
    label {
      font-size: 12px;
      line-height: normal;
      letter-spacing: 0.2px;
      text-transform: capitalize;
      @include inter400;
    }
    textarea {
      padding: 11px 16px;
      height: 80px;
      color: #000;
      font-size: 12px;
      @include inter400;
      line-height: normal;
      @include lg{
        height: 70px;
      }
      &::placeholder {
        color: #a9a9a9;
        font-size: 12px;
        @include inter400;
        line-height: normal;
      }
    }
    .fileUpload {
      position: relative;
      input {
        position: absolute;
        opacity: 0;
        top: 0;
        filter: alpha(opacity=0);
        left: 0;
      }
      button {
        border-radius: 5px;
        border: 1px solid getColorHex("orange");
        background: getColorHex("white");
        padding: 10px 16px;
        cursor: pointer;
        display: flex;
        align-items: center;
        gap: 6px;
        justify-content: center;
        z-index: 1;
        position: relative;
        &:hover {
          cursor: pointer;
        }
        span {
          font-size: 12px;
          line-height: normal;
          @include inter400;
        }
      }
    }
    .fileUploadDisplayMain {
      display: flex;
      align-items: center;
      gap: 10px;
      justify-content: space-between;
      .fileUploadDisplayInnerMain {
        display: flex;
        align-items: center;

        flex-flow: wrap;
        gap: 10px;
        .fileUploadDisplay {
          border-radius: 5px;
          border: 1px solid getColorHex("orange");
          background: getColorHex("white");
          padding: 10px 16px;
          display: flex;
          align-items: center;
          gap: 6px;
          justify-content: center;
          z-index: 1;
          position: relative;
          min-width: 98px;

          span {
            font-size: 12px;
            line-height: normal;
            @include inter400;
          }
          img {
            width: 12px;
            height: 12px;
          }
        }
      }
      .sendMessageButton {
        button {
          padding: 11px 15px;
          font-size: 12px;
          border-radius: 5px;
          line-height: 14.52px;
          text-transform: capitalize;
          @include inter600;
          min-width: 118px;
        }
      }
    }
  }
  .MessageHistoryMain {
    margin: 0px 22px 33px 33px ;
    display: flex;
    flex-flow: column;
    gap: 10px;
    max-height: 615px;
    overflow-y: auto;
    @include customScroll;
    padding-right: 22px;
    @include xl{
      margin: 0px 0px 22px 22px ;
    }
    @include lg{
      margin: 0px 0px 10px 10px;
    }
    .messageHistoryBox {
      border-radius: 10px;
      border: 1px solid #287630;
      background: linear-gradient(0deg, #ddffcd 0%, #ddffcd 100%);
      display: flex;
      padding: 20px;
      margin-right: 72px;
      flex-direction: column;
      justify-content: center;
      gap: 10px;
      @include lg{
        margin-right: 30px;
        padding: 15px;
      }
      .messageNameDate {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        h1 {
          line-height: 32px; /* 200% */
          letter-spacing: 0.2px;
          text-transform: capitalize;
          font-size: 16px;
          @include inter600;
          color: getColorHex("black");
        }
        p {
          line-height: normal;
          letter-spacing: 0.2px;
          text-transform: capitalize;
          font-size: 12px;
          color: getColorHex("black");
          @include inter400;
        }
      }

      // border-radius: 10px;
      // border: 1px solid getColorHex("white");
      // background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
      // padding: 20px;
      // display: flex;
      // flex-flow: column;
      // gap: 10px;
      label {
        font-size: 12px;
        line-height: normal;
        letter-spacing: 0.2px;
        text-transform: capitalize;
        @include inter400;
        color: getColorHex("black");
      }
      textarea {
        padding: 11px 16px;
        height: 80px;
        border-radius: 5px;
        background: #fff;
        border: unset;
        color: #000;
        font-size: 12px;
        @include inter400;
        line-height: normal;
        @include lg{
          height: 70px;
        }

        &::placeholder {
          color: #a9a9a9;
          font-size: 12px;
          @include inter400;
          line-height: normal;
        }
      }

      .fileUploadDisplayMain {
        display: flex;
        align-items: center;
        gap: 10px;
        .fileUploadDisplayInnerMain {
          display: flex;
          align-items: center;

          flex-flow: wrap;
          gap: 10px;
          .fileUploadDisplay {
            border-radius: 5px;
            border: 1px solid #377628;
            background: getColorHex("white");
            padding: 10px 16px;
            display: flex;
            align-items: center;
            gap: 6px;
            justify-content: center;
            z-index: 1;
            position: relative;
            min-width: 98px;

            span {
              font-size: 12px;
              line-height: normal;
              @include inter400;
              color: getColorHex("black");
            }
            img {
              width: 12px;
              height: 12px;
            }
          }
        }
      }
    }
  }
}
